using Managing.Domain.Bots;

namespace Managing.Application.Abstractions.Repositories;

public interface IBotRepository
{
    Task InsertBotAsync(BotBackup bot);
    IEnumerable<BotBackup> GetBots();
    Task UpdateBackupBot(BotBackup bot);
    Task DeleteBotBackup(string botName);
}